import "../avatar/Avatar";
import { type Avatar } from "../avatar/Avatar";
import { LitElement } from "lit";
export declare namespace ChatMessage {
    class ELEMENT extends LitElement {
        title: string;
        src: string;
        time: string;
        label: string;
        status: string;
        clickableTimestamp: boolean;
        isSelected: boolean;
        selfLabel?: string;
        self: boolean;
        avatarColor?: string;
        avatarType?: Avatar.Type;
        avatarSize?: Avatar.Size;
        private get computedAvatarType();
        private get computedYouLabel();
        private get isSelfType();
        private timeStampClicked;
        static get styles(): import("lit").CSSResult[];
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-chat-message": ChatMessage.ELEMENT;
    }
}
